'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
require('../../../hooks/index.js');
var useOption = require('./useOption.js');
var defaults = require('./defaults.js');
var index = require('../../checkbox/index.js');
var pluginVue_exportHelper = require('../../../_virtual/plugin-vue_export-helper.js');
var index$1 = require('../../../hooks/use-namespace/index.js');

const _sfc_main = vue.defineComponent({
  props: defaults.OptionProps,
  components: {
    ElCheckbox: index.ElCheckbox
  },
  emits: ["select", "hover"],
  setup(props, { emit }) {
    const ns = index$1.useNamespace("select");
    const onSelectCheckbox = (index) => {
      emit("select", index);
    };
    const { hoverItem, selectOptionClick } = useOption.useOption(props, { emit });
    return {
      ns,
      hoverItem,
      onSelectCheckbox,
      selectOptionClick
    };
  }
});
const _hoisted_1 = ["aria-selected"];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_el_checkbox = vue.resolveComponent("el-checkbox");
  return vue.openBlock(), vue.createElementBlock("li", {
    "aria-selected": _ctx.selected,
    style: vue.normalizeStyle(_ctx.style),
    class: vue.normalizeClass([
      _ctx.ns.be("dropdown", "option-item"),
      _ctx.ns.is("selected", _ctx.selected),
      _ctx.ns.is("disabled", _ctx.disabled),
      _ctx.ns.is("created", _ctx.created),
      { hover: _ctx.hovering }
    ]),
    onMouseenter: _cache[3] || (_cache[3] = (...args) => _ctx.hoverItem && _ctx.hoverItem(...args)),
    onClick: _cache[4] || (_cache[4] = vue.withModifiers(() => {
      _ctx.item.checked = !_ctx.item.checked;
      _ctx.onSelectCheckbox(_ctx.index);
    }, ["stop"]))
  }, [
    vue.renderSlot(_ctx.$slots, "default", {
      item: _ctx.item,
      index: _ctx.index,
      disabled: _ctx.disabled
    }, () => [
      vue.createVNode(_component_el_checkbox, {
        onClick: _cache[0] || (_cache[0] = vue.withModifiers(() => {
        }, ["stop"])),
        onChange: _cache[1] || (_cache[1] = ($event) => _ctx.onSelectCheckbox(_ctx.index)),
        modelValue: _ctx.item.checked,
        "onUpdate:modelValue": _cache[2] || (_cache[2] = ($event) => _ctx.item.checked = $event),
        label: _ctx.item.label
      }, null, 8, ["modelValue", "label"])
    ])
  ], 46, _hoisted_1);
}
var OptionItemCheckbox = /* @__PURE__ */ pluginVue_exportHelper["default"](_sfc_main, [["render", _sfc_render], ["__file", "/Users/st/Desktop/vue-vite-ts/nxx-ui/packages/components/select-v2/src/option-item-checkbox.vue"]]);

exports["default"] = OptionItemCheckbox;
//# sourceMappingURL=option-item-checkbox.js.map
